
Smart Proxy - Feature #1225

AWS-Route53/Foreman/SmartProxy DNS integration 

10/13/2011 12:08 AM - Brian Gupta

Status: Resolved   

Priority: Normal   

Assignee:    

Category: DNS   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/262

  

Description

Now that Amazon has a DNS service we should integrate. http://aws.amazon.com/documentation/route53/

Related issues:

Related to Foreman - Tracker #5409: DNS Proxy Improvements New

Blocked by Smart Proxy - Feature #7008: Add providers to existing proxy modul... Closed 08/09/2014

History

#1 - 10/13/2011 12:12 AM - Brian Gupta

Please switch to Feature not bug.

#2 - 12/30/2011 06:02 PM - Daniel Maraio

- File route53.patch added

Hey Guys,

I hamfisted route53 support in here by glueing together dns_api and the Route53 gem from https://github.com/pcorliss/ruby_route_53.

Its very basic but will do your forward and reverse dns with AWS. Should probably be an option to skip reverse DNS for a subnet, or use an alternate

nameserver, as some organizations might not have their reverse delegated to them, especially if they have less than a /24.

To use, have your forward and reverse hosted zones already created. Then add the following to smart-proxy settings.yml, then point your domain to

the smart-proxy.

:dns_backend: AWS

  :dns_aws_accesskey: yourkey

  :dns_aws_secretkey: yourkey

 Use at your own risk, probably some bugs, its also ugly.

#3 - 12/31/2011 01:58 PM - Ohad Levy

awesome! thanks, one comment and another question:

1. do you want to use a git patch (or a github pull) so you get the credit for it?

2. would you mind adding a rescue LoadError, so it wont fail if you dont have the gem installed?

thanks!

#4 - 03/24/2012 03:04 AM - yziningyz yziningyz

Spam removed by admin

#5 - 03/31/2012 04:36 AM - apoeleh apoeleh

Spam removed by admin
https://github.com/pcorliss/ruby_route_53


#6 - 04/18/2012 03:59 AM - apoeleh apoeleh

Spam removed by admin

#7 - 01/03/2013 12:52 PM - Benjamin Papillon

- Tracker changed from Bug to Feature

- Category set to DNS

Hello,

I switched the Tracker to Feature as user request.

Regards

#8 - 04/23/2014 02:34 PM - Stephen Benjamin

- Related to Tracker #5409: DNS Proxy Improvements added

#9 - 02/27/2015 01:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/262 added

#10 - 02/28/2015 08:26 AM - Sol Cates

I took the good starting point that Daniel Maraio had, and used the DNS Proxy Improvements framework from #5409 to create the feature in

smart-proxy PR  https://github.com/theforeman/smart-proxy/pull/262 .  Thanks Daniel and the rest of the Foreman team for the hard work.

#11 - 07/10/2015 09:32 AM - Dominic Cleal

- Blocked by Feature #7008: Add providers to existing proxy modules from a plugin/module added

#12 - 07/10/2015 09:33 AM - Dominic Cleal

- Status changed from Ready For Testing to Resolved

Thanks to Daniel and Sol for their efforts and code.  I've uploaded this into a new Smart Proxy plugin over at 

https://github.com/theforeman/smart_proxy_dns_route53, which is based on the brand new work in #7008.

It isn't released as a gem or package yet as there's a bit of work on the dependencies to sort out, but I hope to do that soon.

Files

route53.patch 3.74 KB 12/30/2011 Daniel Maraio
